m4-1.4.17-2.mga4.i586.rpm


Advertisement

Description

m4 - The GNU macro processor

Distribution: Mageia 4.1
Repository: Mageia Core i586
Package name: m4
Package version: 1.4.17
Package release: 2.mga4
Package architecture: i586
Package type: rpm
Installed size: 463.30 KB
Download size: 215.85 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
A GNU implementation of the traditional UNIX macro processor. M4 is useful for writing text files which can be logically parsed, and is used by many programs as part of their build process. M4 has built-in functions for including files, running shell commands, doing arithmetic, etc. The autoconf program needs m4 for generating configure scripts, but not for running configure scripts. m4 is most likely needed if you want to compile or develop software.

Alternatives

Provides

  • m4 == 1.4.17-2.mga4
  • m4(x86-32) == 1.4.17-2.mga4

    Download

    Binary package: m4-1.4.17-2.mga4.i586.rpm
    Source package: m4-1.4.17-2.mga4.src.rpm

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install m4 rpm package:
      # urpmi m4

    Files

    • /usr/bin/m4
    • /usr/share/doc/m4/BACKLOG
    • /usr/share/doc/m4/ChangeLog
    • /usr/share/doc/m4/NEWS
    • /usr/share/doc/m4/README
    • /usr/share/doc/m4/THANKS
    • /usr/share/info/m4.info-1.xz
    • /usr/share/info/m4.info-2.xz
    • /usr/share/info/m4.info.xz
    • /usr/share/man/man1/m4.1.xz

    Changelog

    2013-10-19 - umeabot <umeabot> 1.4.17-2.mga4 + Revision: 536087 - Mageia 4 Mass Rebuild

    2013-09-22 - fwang <fwang> 1.4.17-1.mga4 + Revision: 483246 - new version 1.4.17

    2013-01-12 - umeabot <umeabot> 1.4.16-3.mga3 + Revision: 359254 - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

    2012-12-03 - cjw <cjw> 1.4.16-2.mga3 + Revision: 325742 - patch1: fix build with glibc 2.16 - drop unneeded buildroot definition and clean section

    2011-04-13 - tv <tv> 1.4.16-1.mga2 + Revision: 84521 - new release - BuildRequires: libsigsegv-devel

    2011-01-08 - blino <blino> 1.4.15-1.mga1 + Revision: 382 - imported package m4

    Advertisement
    Advertisement